
From: Herbert Xu <herbert@gondor.apana.org.au>

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/sched/ipt.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN net/sched/ipt.c~ipt-leak-fix net/sched/ipt.c
--- 25/net/sched/ipt.c~ipt-leak-fix	2005-03-23 03:40:58.000000000 -0800
+++ 25-akpm/net/sched/ipt.c	2005-03-23 03:40:58.000000000 -0800
@@ -284,10 +284,12 @@ tcf_ipt_dump(struct sk_buff *skb, struct
 	tm.lastuse = jiffies_to_clock_t(jiffies - p->tm.lastuse);
 	tm.expires = jiffies_to_clock_t(p->tm.expires);
 	RTA_PUT(skb, TCA_IPT_TM, sizeof (tm), &tm);
+	kfree(t);
 	return skb->len;
 
       rtattr_failure:
 	skb_trim(skb, b - skb->data);
+	kfree(t);
 	return -1;
 }
 
_
